<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_152-release) on Tue May 29 23:56:59 CEST 2018 -->
<title>SchermataDiGioco</title>
<meta name="date" content="2018-05-29">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SchermataDiGioco";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SchermataDiGioco.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../danielepani/it/filigheddutapper/Punteggi.html" title="class in danielepani.it.filigheddutapper"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../danielepani/it/filigheddutapper/SchermataPrincipale.html" title="class in danielepani.it.filigheddutapper"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?danielepani/it/filigheddutapper/SchermataDiGioco.html" target="_top">Frames</a></li>
<li><a href="SchermataDiGioco.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.android.support.v4.app.SupportActivity">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">danielepani.it.filigheddutapper</div>
<h2 title="Class SchermataDiGioco" class="title">Class SchermataDiGioco</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>android.content.Context</li>
<li>
<ul class="inheritance">
<li>android.content.ContextWrapper</li>
<li>
<ul class="inheritance">
<li>android.view.ContextThemeWrapper</li>
<li>
<ul class="inheritance">
<li>android.app.Activity</li>
<li>
<ul class="inheritance">
<li>android.support.v4.app.SupportActivity</li>
<li>
<ul class="inheritance">
<li>android.support.v4.app.FragmentActivity</li>
<li>
<ul class="inheritance">
<li>android.support.v7.app.AppCompatActivity</li>
<li>
<ul class="inheritance">
<li>danielepani.it.filigheddutapper.SchermataDiGioco</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>android.arch.lifecycle.LifecycleOwner, android.arch.lifecycle.ViewModelStoreOwner, android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.support.v4.app.ActivityCompat.OnRequestPermissionsResultCallback, android.support.v4.app.ActivityCompat.RequestPermissionsRequestCodeValidator, android.support.v4.app.TaskStackBuilder.SupportParentable, android.support.v7.app.ActionBarDrawerToggle.DelegateProvider, android.support.v7.app.AppCompatCallback, android.view.KeyEvent.Callback, android.view.LayoutInflater.Factory, android.view.LayoutInflater.Factory2, android.view.View.OnCreateContextMenuListener, android.view.Window.Callback</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">SchermataDiGioco</span>
extends android.support.v7.app.AppCompatActivity</pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0

 This is the gaming screen. Nothing big, just a common android activity with keys and updates
 TODO: replace all string concatenations with Integer.parseString(int n) calls</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Daniele Pani (sharkattack86)</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.android.support.v4.app.SupportActivity">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;android.support.v4.app.SupportActivity</h3>
<code>android.support.v4.app.SupportActivity.ExtraData</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html" title="class in danielepani.it.filigheddutapper">SchermataDiGioco</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#currentInstance">currentInstance</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#isRunning">isRunning</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.android.app.Activity">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;android.app.Activity</h3>
<code>DEFAULT_KEYS_DIALER, DEFAULT_KEYS_DISABLE, DEFAULT_KEYS_SEARCH_GLOBAL, DEFAULT_KEYS_SEARCH_LOCAL, DEFAULT_KEYS_SHORTCUT, FOCUSED_STATE_SET, RESULT_CANCELED, RESULT_FIRST_USER, RESULT_OK</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.android.content.Context">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;android.content.Context</h3>
<code>ACCESSIBILITY_SERVICE, ACCOUNT_SERVICE, ACTIVITY_SERVICE, ALARM_SERVICE, APP_OPS_SERVICE, APPWIDGET_SERVICE, AUDIO_SERVICE, BATTERY_SERVICE, BIND_ABOVE_CLIENT, BIND_ADJUST_WITH_ACTIVITY, BIND_ALLOW_OOM_MANAGEMENT, BIND_AUTO_CREATE, BIND_DEBUG_UNBIND, BIND_EXTERNAL_SERVICE, BIND_IMPORTANT, BIND_NOT_FOREGROUND, BIND_WAIVE_PRIORITY, BLUETOOTH_SERVICE, CAMERA_SERVICE, CAPTIONING_SERVICE, CARRIER_CONFIG_SERVICE, CLIPBOARD_SERVICE, COMPANION_DEVICE_SERVICE, CONNECTIVITY_SERVICE, CONSUMER_IR_SERVICE, CONTEXT_IGNORE_SECURITY, CONTEXT_INCLUDE_CODE, CONTEXT_RESTRICTED, DEVICE_POLICY_SERVICE, DISPLAY_SERVICE, DOWNLOAD_SERVICE, DROPBOX_SERVICE, FINGERPRINT_SERVICE, HARDWARE_PROPERTIES_SERVICE, INPUT_METHOD_SERVICE, INPUT_SERVICE, JOB_SCHEDULER_SERVICE, KEYGUARD_SERVICE, LAUNCHER_APPS_SERVICE, LAYOUT_INFLATER_SERVICE, LOCATION_SERVICE, MEDIA_PROJECTION_SERVICE, MEDIA_ROUTER_SERVICE, MEDIA_SESSION_SERVICE, MIDI_SERVICE, MODE_APPEND, MODE_ENABLE_WRITE_AHEAD_LOGGING, MODE_MULTI_PROCESS, MODE_NO_LOCALIZED_COLLATORS, MODE_PRIVATE, MODE_WORLD_READABLE, MODE_WORLD_WRITEABLE, NETWORK_STATS_SERVICE, NFC_SERVICE, NOTIFICATION_SERVICE, NSD_SERVICE, POWER_SERVICE, PRINT_SERVICE, RECEIVER_VISIBLE_TO_INSTANT_APPS, RESTRICTIONS_SERVICE, SEARCH_SERVICE, SENSOR_SERVICE, SHORTCUT_SERVICE, STORAGE_SERVICE, STORAGE_STATS_SERVICE, SYSTEM_HEALTH_SERVICE, TELECOM_SERVICE, TELEPHONY_SERVICE, TELEPHONY_SUBSCRIPTION_SERVICE, TEXT_CLASSIFICATION_SERVICE, TEXT_SERVICES_MANAGER_SERVICE, TV_INPUT_SERVICE, UI_MODE_SERVICE, USAGE_STATS_SERVICE, USB_SERVICE, USER_SERVICE, VIBRATOR_SERVICE, WALLPAPER_SERVICE, WIFI_AWARE_SERVICE, WIFI_P2P_SERVICE, WIFI_SERVICE, WINDOW_SERVICE</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.android.content.ComponentCallbacks2">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;android.content.ComponentCallbacks2</h3>
<code>TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#SchermataDiGioco--">SchermataDiGioco</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#attack-android.view.View-">attack</a></span>(android.view.View&nbsp;view)</code>
<div class="block">Attack the enemy</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#getOneMiner-android.view.View-">getOneMiner</a></span>(android.view.View&nbsp;view)</code>
<div class="block">Get one miner and pay it</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#getOneMinion-android.view.View-">getOneMinion</a></span>(android.view.View&nbsp;view)</code>
<div class="block">Get one minion and pay it</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#improveEarnings-android.view.View-">improveEarnings</a></span>(android.view.View&nbsp;view)</code>
<div class="block">Improve your earnings while working</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#onCreate-android.os.Bundle-">onCreate</a></span>(android.os.Bundle&nbsp;savedInstanceState)</code>
<div class="block">onCreate is like a constructor: it assigns all instance variables and handles the instanceState, if any</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#onDestroy--">onDestroy</a></span>()</code>
<div class="block">Activity is destroyed</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#onOptionsItemSelected-android.view.MenuItem-">onOptionsItemSelected</a></span>(android.view.MenuItem&nbsp;item)</code>
<div class="block">Handle the back arrow, going back to main screen</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#onPause--">onPause</a></span>()</code>
<div class="block">Pause state</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#onResume--">onResume</a></span>()</code>
<div class="block">Activity was resumed</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#onSaveInstanceState-android.os.Bundle-">onSaveInstanceState</a></span>(android.os.Bundle&nbsp;outState)</code>
<div class="block">Save instance state, especially useful when device has been rotated</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#onStart--">onStart</a></span>()</code>
<div class="block">Activity is started</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#powerMinersUp-android.view.View-">powerMinersUp</a></span>(android.view.View&nbsp;view)</code>
<div class="block">Power up your miners</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#powerMinionsUp-android.view.View-">powerMinionsUp</a></span>(android.view.View&nbsp;view)</code>
<div class="block">Power up your minions</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#powerSwordUp-android.view.View-">powerSwordUp</a></span>(android.view.View&nbsp;view)</code>
<div class="block">Power up the sword</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#restartGame-android.view.View-">restartGame</a></span>(android.view.View&nbsp;view)</code>
<div class="block">If you're in game already, restart it</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#startGame-android.view.View-">startGame</a></span>(android.view.View&nbsp;view)</code>
<div class="block">Start the game the first time</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html#workHard-android.view.View-">workHard</a></span>(android.view.View&nbsp;view)</code>
<div class="block">Work for money</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.support.v7.app.AppCompatActivity">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.support.v7.app.AppCompatActivity</h3>
<code>addContentView, closeOptionsMenu, dispatchKeyEvent, findViewById, getDelegate, getDrawerToggleDelegate, getMenuInflater, getResources, getSupportActionBar, getSupportParentActivityIntent, invalidateOptionsMenu, onConfigurationChanged, onContentChanged, onCreateSupportNavigateUpTaskStack, onKeyDown, onMenuItemSelected, onMenuOpened, onPanelClosed, onPostCreate, onPostResume, onPrepareSupportNavigateUpTaskStack, onStop, onSupportActionModeFinished, onSupportActionModeStarted, onSupportContentChanged, onSupportNavigateUp, onTitleChanged, onWindowStartingSupportActionMode, openOptionsMenu, setContentView, setContentView, setContentView, setSupportActionBar, setSupportProgress, setSupportProgressBarIndeterminate, setSupportProgressBarIndeterminateVisibility, setSupportProgressBarVisibility, setTheme, startSupportActionMode, supportInvalidateOptionsMenu, supportNavigateUpTo, supportRequestWindowFeature, supportShouldUpRecreateTask</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.support.v4.app.FragmentActivity">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.support.v4.app.FragmentActivity</h3>
<code>dump, getLastCustomNonConfigurationInstance, getLifecycle, getSupportFragmentManager, getSupportLoaderManager, getViewModelStore, onActivityResult, onAttachFragment, onBackPressed, onCreatePanelMenu, onLowMemory, onMultiWindowModeChanged, onNewIntent, onPictureInPictureModeChanged, onPrepareOptionsPanel, onPreparePanel, onRequestPermissionsResult, onResumeFragments, onRetainCustomNonConfigurationInstance, onRetainNonConfigurationInstance, onStateNotSaved, setEnterSharedElementCallback, setExitSharedElementCallback, startActivityForResult, startActivityFromFragment, startActivityFromFragment, startIntentSenderFromFragment, supportFinishAfterTransition, supportPostponeEnterTransition, supportStartPostponedEnterTransition, validateRequestPermissionsRequestCode</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.support.v4.app.SupportActivity">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.support.v4.app.SupportActivity</h3>
<code>getExtraData, putExtraData</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.app.Activity">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.app.Activity</h3>
<code>attachBaseContext, closeContextMenu, createPendingResult, dismissDialog, dismissKeyboardShortcutsHelper, dispatchGenericMotionEvent, dispatchKeyShortcutEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, enterPictureInPictureMode, enterPictureInPictureMode, finish, finishActivity, finishActivityFromChild, finishAffinity, finishAfterTransition, finishAndRemoveTask, finishFromChild, getActionBar, getApplication, getCallingActivity, getCallingPackage, getChangingConfigurations, getComponentName, getContentScene, getContentTransitionManager, getCurrentFocus, getFragmentManager, getIntent, getLastNonConfigurationInstance, getLayoutInflater, getLoaderManager, getLocalClassName, getMaxNumPictureInPictureActions, getMediaController, getParent, getParentActivityIntent, getPreferences, getReferrer, getRequestedOrientation, getSearchEvent, getSystemService, getTaskId, getTitle, getTitleColor, getVoiceInteractor, getVolumeControlStream, getWindow, getWindowManager, hasWindowFocus, isActivityTransitionRunning, isChangingConfigurations, isChild, isDestroyed, isFinishing, isImmersive, isInMultiWindowMode, isInPictureInPictureMode, isLocalVoiceInteractionSupported, isTaskRoot, isVoiceInteraction, isVoiceInteractionRoot, managedQuery, moveTaskToBack, navigateUpTo, navigateUpToFromChild, onActionModeFinished, onActionModeStarted, onActivityReenter, onApplyThemeResource, onAttachedToWindow, onAttachFragment, onChildTitleChanged, onContextItemSelected, onContextMenuClosed, onCreate, onCreateContextMenu, onCreateDescription, onCreateDialog, onCreateDialog, onCreateNavigateUpTaskStack, onCreateOptionsMenu, onCreatePanelView, onCreateThumbnail, onDetachedFromWindow, onEnterAnimationComplete, onGenericMotionEvent, onKeyLongPress, onKeyMultiple, onKeyShortcut, onKeyUp, onLocalVoiceInteractionStarted, onLocalVoiceInteractionStopped, onMultiWindowModeChanged, onNavigateUp, onNavigateUpFromChild, onOptionsMenuClosed, onPictureInPictureModeChanged, onPostCreate, onPrepareDialog, onPrepareDialog, onPrepareNavigateUpTaskStack, onPrepareOptionsMenu, onProvideAssistContent, onProvideAssistData, onProvideKeyboardShortcuts, onProvideReferrer, onRestart, onRestoreInstanceState, onRestoreInstanceState, onSaveInstanceState, onSearchRequested, onSearchRequested, onTouchEvent, onTrackballEvent, onTrimMemory, onUserInteraction, onUserLeaveHint, onVisibleBehindCanceled, onWindowAttributesChanged, onWindowFocusChanged, onWindowStartingActionMode, onWindowStartingActionMode, openContextMenu, overridePendingTransition, postponeEnterTransition, recreate, registerForContextMenu, releaseInstance, removeDialog, reportFullyDrawn, requestDragAndDropPermissions, requestPermissions, requestShowKeyboardShortcuts, requestVisibleBehind, requestWindowFeature, runOnUiThread, setActionBar, setContentTransitionManager, setDefaultKeyMode, setEnterSharedElementCallback, setExitSharedElementCallback, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setFinishOnTouchOutside, setImmersive, setIntent, setMediaController, setPictureInPictureParams, setProgress, setProgressBarIndeterminate, setProgressBarIndeterminateVisibility, setProgressBarVisibility, setRequestedOrientation, setResult, setResult, setSecondaryProgress, setShowWhenLocked, setTaskDescription, setTitle, setTitle, setTitleColor, setTurnScreenOn, setVisible, setVolumeControlStream, setVrModeEnabled, shouldShowRequestPermissionRationale, shouldUpRecreateTask, showAssist, showDialog, showDialog, showLockTaskEscapeMessage, startActionMode, startActionMode, startActivities, startActivities, startActivity, startActivity, startActivityFromChild, startActivityFromChild, startActivityFromFragment, startActivityFromFragment, startActivityIfNeeded, startActivityIfNeeded, startIntentSender, startIntentSender, startIntentSenderFromChild, startIntentSenderFromChild, startLocalVoiceInteraction, startLockTask, startManagingCursor, startNextMatchingActivity, startNextMatchingActivity, startPostponedEnterTransition, startSearch, stopLocalVoiceInteraction, stopLockTask, stopManagingCursor, takeKeyEvents, triggerSearch, unregisterForContextMenu</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.view.ContextThemeWrapper">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.view.ContextThemeWrapper</h3>
<code>applyOverrideConfiguration, getAssets, getTheme</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.content.ContextWrapper">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.content.ContextWrapper</h3>
<code>bindService, checkCallingOrSelfPermission, checkCallingOrSelfUriPermission, checkCallingPermission, checkCallingUriPermission, checkPermission, checkSelfPermission, checkUriPermission, checkUriPermission, clearWallpaper, createConfigurationContext, createContextForSplit, createDeviceProtectedStorageContext, createDisplayContext, createPackageContext, databaseList, deleteDatabase, deleteFile, deleteSharedPreferences, enforceCallingOrSelfPermission, enforceCallingOrSelfUriPermission, enforceCallingPermission, enforceCallingUriPermission, enforcePermission, enforceUriPermission, enforceUriPermission, fileList, getApplicationContext, getApplicationInfo, getBaseContext, getCacheDir, getClassLoader, getCodeCacheDir, getContentResolver, getDatabasePath, getDataDir, getDir, getExternalCacheDir, getExternalCacheDirs, getExternalFilesDir, getExternalFilesDirs, getExternalMediaDirs, getFilesDir, getFileStreamPath, getMainLooper, getNoBackupFilesDir, getObbDir, getObbDirs, getPackageCodePath, getPackageManager, getPackageName, getPackageResourcePath, getSharedPreferences, getSystemServiceName, getWallpaper, getWallpaperDesiredMinimumHeight, getWallpaperDesiredMinimumWidth, grantUriPermission, isDeviceProtectedStorage, isRestricted, moveDatabaseFrom, moveSharedPreferencesFrom, openFileInput, openFileOutput, openOrCreateDatabase, openOrCreateDatabase, peekWallpaper, registerReceiver, registerReceiver, registerReceiver, registerReceiver, removeStickyBroadcast, removeStickyBroadcastAsUser, revokeUriPermission, revokeUriPermission, sendBroadcast, sendBroadcast, sendBroadcastAsUser, sendBroadcastAsUser, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcastAsUser, sendStickyBroadcast, sendStickyBroadcastAsUser, sendStickyOrderedBroadcast, sendStickyOrderedBroadcastAsUser, setWallpaper, setWallpaper, startForegroundService, startInstrumentation, startService, stopService, unbindService, unregisterReceiver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.content.Context">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.content.Context</h3>
<code>getColor, getColorStateList, getDrawable, getString, getString, getSystemService, getText, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, registerComponentCallbacks, unregisterComponentCallbacks</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.view.Window.Callback">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;android.view.Window.Callback</h3>
<code>onPointerCaptureChanged</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="currentInstance">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentInstance</h4>
<pre>public static&nbsp;<a href="../../../danielepani/it/filigheddutapper/SchermataDiGioco.html" title="class in danielepani.it.filigheddutapper">SchermataDiGioco</a> currentInstance</pre>
</li>
</ul>
<a name="isRunning">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isRunning</h4>
<pre>public static&nbsp;boolean isRunning</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SchermataDiGioco--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SchermataDiGioco</h4>
<pre>public&nbsp;SchermataDiGioco()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="attack-android.view.View-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attack</h4>
<pre>public&nbsp;void&nbsp;attack(android.view.View&nbsp;view)</pre>
<div class="block">Attack the enemy</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>view</code> - the attack button</dd>
</dl>
</li>
</ul>
<a name="getOneMiner-android.view.View-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOneMiner</h4>
<pre>public&nbsp;void&nbsp;getOneMiner(android.view.View&nbsp;view)</pre>
<div class="block">Get one miner and pay it</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>view</code> - the getOneMinion button</dd>
</dl>
</li>
</ul>
<a name="getOneMinion-android.view.View-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOneMinion</h4>
<pre>public&nbsp;void&nbsp;getOneMinion(android.view.View&nbsp;view)</pre>
<div class="block">Get one minion and pay it</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>view</code> - the getOneMinion button</dd>
</dl>
</li>
</ul>
<a name="improveEarnings-android.view.View-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>improveEarnings</h4>
<pre>public&nbsp;void&nbsp;improveEarnings(android.view.View&nbsp;view)</pre>
<div class="block">Improve your earnings while working</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>view</code> - the improveEarnings button</dd>
</dl>
</li>
</ul>
<a name="onCreate-android.os.Bundle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onCreate</h4>
<pre>protected&nbsp;void&nbsp;onCreate(android.os.Bundle&nbsp;savedInstanceState)</pre>
<div class="block">onCreate is like a constructor: it assigns all instance variables and handles the instanceState, if any</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onCreate</code>&nbsp;in class&nbsp;<code>android.support.v7.app.AppCompatActivity</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>savedInstanceState</code> - the bundle containing all match data, if activity was put in background</dd>
</dl>
</li>
</ul>
<a name="onDestroy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onDestroy</h4>
<pre>protected&nbsp;void&nbsp;onDestroy()</pre>
<div class="block">Activity is destroyed</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onDestroy</code>&nbsp;in class&nbsp;<code>android.support.v7.app.AppCompatActivity</code></dd>
</dl>
</li>
</ul>
<a name="onOptionsItemSelected-android.view.MenuItem-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onOptionsItemSelected</h4>
<pre>public&nbsp;boolean&nbsp;onOptionsItemSelected(android.view.MenuItem&nbsp;item)</pre>
<div class="block">Handle the back arrow, going back to main screen</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onOptionsItemSelected</code>&nbsp;in class&nbsp;<code>android.app.Activity</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>item</code> - the MenuItem; in this case, it's only the back button</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>bool true if menu item has been pressed</dd>
</dl>
</li>
</ul>
<a name="onPause--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPause</h4>
<pre>protected&nbsp;void&nbsp;onPause()</pre>
<div class="block">Pause state</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onPause</code>&nbsp;in class&nbsp;<code>android.support.v4.app.FragmentActivity</code></dd>
</dl>
</li>
</ul>
<a name="onResume--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onResume</h4>
<pre>protected&nbsp;void&nbsp;onResume()</pre>
<div class="block">Activity was resumed</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onResume</code>&nbsp;in class&nbsp;<code>android.support.v4.app.FragmentActivity</code></dd>
</dl>
</li>
</ul>
<a name="onSaveInstanceState-android.os.Bundle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onSaveInstanceState</h4>
<pre>public&nbsp;void&nbsp;onSaveInstanceState(android.os.Bundle&nbsp;outState)</pre>
<div class="block">Save instance state, especially useful when device has been rotated</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onSaveInstanceState</code>&nbsp;in class&nbsp;<code>android.support.v7.app.AppCompatActivity</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>outState</code> - the bundle that will be saved</dd>
</dl>
</li>
</ul>
<a name="onStart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onStart</h4>
<pre>protected&nbsp;void&nbsp;onStart()</pre>
<div class="block">Activity is started</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onStart</code>&nbsp;in class&nbsp;<code>android.support.v7.app.AppCompatActivity</code></dd>
</dl>
</li>
</ul>
<a name="powerMinersUp-android.view.View-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>powerMinersUp</h4>
<pre>public&nbsp;void&nbsp;powerMinersUp(android.view.View&nbsp;view)</pre>
<div class="block">Power up your miners</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>view</code> - the powerMinionsUp button</dd>
</dl>
</li>
</ul>
<a name="powerMinionsUp-android.view.View-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>powerMinionsUp</h4>
<pre>public&nbsp;void&nbsp;powerMinionsUp(android.view.View&nbsp;view)</pre>
<div class="block">Power up your minions</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>view</code> - the powerMinionsUp button</dd>
</dl>
</li>
</ul>
<a name="powerSwordUp-android.view.View-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>powerSwordUp</h4>
<pre>public&nbsp;void&nbsp;powerSwordUp(android.view.View&nbsp;view)</pre>
<div class="block">Power up the sword</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>view</code> - the powerSwordUp button</dd>
</dl>
</li>
</ul>
<a name="restartGame-android.view.View-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restartGame</h4>
<pre>public&nbsp;void&nbsp;restartGame(android.view.View&nbsp;view)</pre>
<div class="block">If you're in game already, restart it</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>view</code> - the restartGame button</dd>
</dl>
</li>
</ul>
<a name="startGame-android.view.View-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startGame</h4>
<pre>public&nbsp;void&nbsp;startGame(android.view.View&nbsp;view)</pre>
<div class="block">Start the game the first time</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>view</code> - the StartGame button</dd>
</dl>
</li>
</ul>
<a name="workHard-android.view.View-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>workHard</h4>
<pre>public&nbsp;void&nbsp;workHard(android.view.View&nbsp;view)</pre>
<div class="block">Work for money</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>view</code> - the workHard button</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SchermataDiGioco.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../danielepani/it/filigheddutapper/Punteggi.html" title="class in danielepani.it.filigheddutapper"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../danielepani/it/filigheddutapper/SchermataPrincipale.html" title="class in danielepani.it.filigheddutapper"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?danielepani/it/filigheddutapper/SchermataDiGioco.html" target="_top">Frames</a></li>
<li><a href="SchermataDiGioco.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.android.support.v4.app.SupportActivity">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
